Recommended Browsers

Recommended minimum browsers for cuLearn are:

Chrome: 24.0 or later PC/Mac
Download Chrome
Firefox: 26.0 or later is recommended. (PC/Mac)
Download Firefox
Safari: 6.0 or later is recommended.
Download Safari
Internet Explorer: 10.0 or later
Download IE

Browser Settings

For Moodle to work properly, we recommend the following updates and settings:

  • Pop-ups: enabled
  • Cookies: enabled (with prompt or without)
  • Java: ensure you have an up-to-date version of Java by visiting http://www.java.com.